%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           python-resultsdb
Version:        0.1.7
Release:        1%{?dist}
Summary:        Simple Python client for the ResultsDB

License:        GPLv2+
URL:            https://fedorahosted.org/ResultsDB/
Source0:        http://jskladan.fedorapeople.org/python-resultsdb/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
# This only exists in F16 and newer
#BuildRequires:  pytest

%description
Simple Python client for the ResultsDB

%prep
%setup -q

# the dependency needed to run the tests is only included in F16 and newer
# python-pytest > 2.0
# %%check
# %%{__python} setup.py test

%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README
%{python_sitelib}/*


%changelog
* Mon Oct 01 2012 Josef Skladanka <jskladan@fedoraproject.org> - 0.1.7-1
- Version bump
* Fri Feb 24 2012 Josef Skladanka <jskladan@fedoraproject.org> - 0.1.6-1
- Added support for storing debug-log url at the start of the testrun/job
* Fri Feb 03 2012 Josef Skladanka <jskladan@fedoraproject.org> - 0.1.5-1
- Removed the 'query api' part
* Thu Oct 06 2011 Josef Skladanka <jskladan@fedoraproject.org> - 0.1.0-1
- Initial package for 0.1.0
